clear
close all

frog=imread('/Users/marcel/Documents/MATLAB/0-images-exemples/frog.jpg');
'type(frog) :', whos frog

frog_int=rgb2gray(frog);
'type(frog_int) :', whos frog_int
'min(frog_int) :', min(min(frog_int))
'max(frog_int) :', max(max(frog_int))

frog_neg=255-frog_int;
'min(frog_neg) :', min(min(frog_neg))
'max(frog_neg) :', max(max(frog_neg))

figure
subplot(2,2,1), imagesc(frog_int), colormap(gray), title('original')
subplot(2,2,2), imhist(frog_int, 256)
subplot(2,2,3), imagesc(frog_neg), colormap(gray), title('negative')
subplot(2,2,4), imhist(frog_neg, 256)