clear
close all

frog=imread('/Users/marcel/Documents/MATLAB/0-images-exemples/frog.jpg');
frog_int=rgb2gray(frog);

figure, subplot(2,4,1), imshow(frog_int), title('original')
subplot(2,4,5), imhist(frog_int, 256)

n = 64;
frog_eg = histeq(frog_int, n);

subplot(2,4,2), imshow(frog_eg), title('64 niveaux')
subplot(2,4,6), imhist(frog_eg, n)

n = 16;
frog_eg = histeq(frog_int, n);

subplot(2,4,3), imshow(frog_eg), title('16 niveaux')
subplot(2,4,7), imhist(frog_eg, n)

n = 4;
frog_eg = histeq(frog_int, n);

subplot(2,4,4), imshow(frog_eg), title('4 niveaux')
subplot(2,4,8), imhist(frog_eg, n)